package webcam;

import java.util.Collection;
import java.util.HashSet;
import jp.ac.kyutech.ai.ylab.shiva.utils.nativecapable.*;

public class WebcamBroadcasterApplet extends NativeCapableApplet {
	private static final long serialVersionUID = 1L;

	public void init() {
		System.setSecurityManager(null);
		NativeCapableModuleBuilder builder = new NativeCapableModuleBuilder(
				this, "webcam.WebcamBroadcaster");
		Collection<String> col = new HashSet<String>();
		col.add("java.");
		col.add("sun.reflect.");
		col.add("javax.swing.");
		col.add("javax.xml.");
		col.add("org.w3c.dom.");
		col.add("sun.java2d.");
		col.add("sun.awt.");
		col.add("com.sun.org.apache.xerces.");
		builder.setTargetPackages(col);
		builder.setDelegateTargets(true);
		NativeCapableModule module = builder.newModule();
		module.initModule();
		add(module.getRootComponent());
	}
}